Skip to main content
GET
/
events
/
{id}
Get Event
curl --request GET \
  --url https://chat.botpress.cloud/{webhookUrl}/events/{id} \
  --header 'x-user-key: <x-user-key>'
import requests

url = "https://chat.botpress.cloud/{webhookUrl}/events/{id}"

headers = {"x-user-key": "<x-user-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-user-key': '<x-user-key>'}};

fetch('https://chat.botpress.cloud/{webhookUrl}/events/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "event": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "payload": {},
    "conversationId": "<string>",
    "userId": "<string>"
  }
}
{
  "event": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "payload": {},
    "conversationId": "<string>",
    "userId": "<string>"
  }
}

Headers

x-user-key
string
required

Authentication Key

Path Parameters

id
string
required

ID of the Event

Response

Returns an Event object if a valid identifier was provided

event
object
required